Snow Leopard (Mac OS 10.6) compatibility

Just a quick note to let people know that I have preliminary reports that DSX Hack runs on Mac OS 10.6 (Snow Leopard) - it will remain "officially" unsupported, but if you're running 10.6 and want to give it a shot, go ahead and try the demo first, seems like it should be fine!
Sign In or Register to comment.